# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/fwdpy11, last modified Tue May 31 23:02:01 2022
# ------------------------------------------------

package:
  name: fwdpy11
  version: 0.18.1
source:
  sha256: acec68d516da79de15fc591815f3a1972c75a6eb6b4615656e00bfc3255d6b8b
  url: https://files.pythonhosted.org/packages/d9/a2/37f2b447caaea48188a53e02e52b2e5cb5d1252de7881f1308d9f9e4cd5f/fwdpy11-0.18.1.tar.gz
build:
  number: '0'
  string: py38h60e30d0_0
requirements:
  build:
    - bzip2 1.0.8 h0d85af4_4
    - c-ares 1.18.1 h0d85af4_0
    - ca-certificates 2022.5.18.1 h033912b_0
    - cctools_osx-64 973.0.1 h3eff9a4_10
    - clang 12.0.1 h694c41f_4
    - clang-12 12.0.1 default_he082bbe_4
    - clang_osx-64 12.0.1 h633439f_9
    - clangxx 12.0.1 default_he082bbe_4
    - clangxx_osx-64 12.0.1 hdb584c0_9
    - cmake 3.23.2 hf2c7296_0
    - compiler-rt 12.0.1 he01351e_0
    - compiler-rt_osx-64 12.0.1 hd3f61c9_0
    - expat 2.4.8 h96cf925_0
    - krb5 1.19.3 hb98e516_0
    - ld64_osx-64 609 hc6b1d1e_10
    - libclang-cpp12 12.0.1 default_he082bbe_4
    - libcurl 7.83.1 h23f1065_0
    - libcxx 14.0.4 hc203e6f_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 haf1e3a3_1
    - libllvm12 12.0.1 hd011deb_2
    - libllvm13 13.0.1 h64f94b2_2
    - libnghttp2 1.47.0 hca56917_0
    - libssh2 1.10.0 hd3787cc_2
    - libuv 1.43.0 h0d85af4_0
    - libzlib 1.2.12 h6c3fc93_0
    - llvm-tools 12.0.1 hd011deb_2
    - lz4-c 1.9.3 he49afe7_1
    - make 4.3 h22f3db7_1
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.3 hfe4f2af_0
    - rhash 1.4.1 h0d85af4_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.5 haf1e3a3_1
    - zlib 1.2.12 h6c3fc93_0
    - zstd 1.5.2 ha9df2e0_1
  host:
    - attrs 21.4.0 pyhd8ed1ab_0
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2022.5.18.1 h033912b_0
    - gsl 2.7 h93259b0_0
    - importlib-metadata 4.11.4 py38h50d1736_0
    - importlib_resources 5.7.1 pyhd8ed1ab_1
    - jsonschema 4.5.1 pyhd8ed1ab_0
    - libblas 3.9.0 14_osx64_openblas
    - libcblas 3.9.0 14_osx64_openblas
    - libcxx 14.0.4 hc203e6f_0
    - libffi 3.4.2 h0d85af4_5
    - libgfortran 5.0.0 9_3_0_h6c81a4c_23
    - libgfortran5 9.3.0 h6c81a4c_23
    - libiconv 1.16 haf1e3a3_0
    - liblapack 3.9.0 14_osx64_openblas
    - libopenblas 0.3.20 openmp_hb3cd9ec_0
    - libzlib 1.2.12 h6c3fc93_0
    - llvm-openmp 14.0.4 ha654fa7_0
    - ncurses 6.3 h96cf925_1
    - numpy 1.22.4 py38h3ad0702_0
    - openblas 0.3.20 openmp_h5ad848b_0
    - openssl 3.0.3 hfe4f2af_0
    - packaging 21.3 pyhd8ed1ab_0
    - pip 22.1.2 pyhd8ed1ab_0
    - pkg-config 0.29.2 ha3d46e9_1008
    - pkgconfig 1.5.5 py38h50d1736_2
    - pybind11 2.9.2 py38h8b7791e_1
    - pybind11-global 2.9.2 py38h8b7791e_1
    - pyparsing 3.0.9 pyhd8ed1ab_0
    - pyrsistent 0.18.1 py38hed1de0f_1
    - python 3.8.13 h66c20e1_0_cpython
    - python_abi 3.8 2_cp38
    - readline 8.1 h05e3726_0
    - setuptools 62.3.2 py38h50d1736_0
    - setuptools-scm 6.4.2 pyhd8ed1ab_0
    - setuptools_scm 6.4.2 hd8ed1ab_0
    - sqlite 3.38.5 hd9f0692_0
    - svgwrite 1.4.2 pyhd8ed1ab_0
    - tk 8.6.12 h5dbffcc_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - tskit 0.4.1 py38hbe852b5_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.5 haf1e3a3_1
    - zipp 3.8.0 pyhd8ed1ab_0
    - zlib 1.2.12 h6c3fc93_0
  run:
    - attrs
    - black
    - demes >=0.2
    - gsl >=2.7,<2.8.0a0
    - intervaltree
    - libcxx >=12.0.1
    - numpy >=1.20
    - numpy >=1.22.4,<2.0a0
    - openblas
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - scipy
    - tskit >=0.4
test:
  imports:
    - fwdpy11
about:
  home: http://pypi.python.org/pypi/fwdpy11
  license: GNU General Public License v3 or later (GPLv3+)
  license_file: COPYING
  summary: Forward-time population genetic simulation in Python.
extra:
  copy_test_source_files: true
  final: true
